{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 2,
	"name": "homegrade-content-blocks/picture-banner",
	"version": "0.1.0",
	"title": "Image Bannière",
	"category": "homegrade-blocks",
	"icon": {
		"background": "#fff",
		"foreground": "#DF1E1E",
		"src": "cover-image"
	},
	"description": "Une image de heading utilisable dans les fiches questions pour illustrer un propos. La hauteur et la position de l'image sont réglable",
	"supports": {
		"html": false
	},
	"attributes": {
		"coverId": {
			"type": "number"
		},
		"coverAlt": {
			"type": "string",
			"source": "attribute",
			"selector": "img",
			"attribute": "alt",
			"default": ""
		},
		"coverUrl": {
			"type": "string",
			"source": "attribute",
			"selector": "img",
			"attribute": "src"
		},
		"heightFixed": {
			"type": "boolean",
			"default": true
		},
		"imagePosition": {
			"type": "object",
			"default": {
				"x": 0.2,
				"y": 0.4
			}
		}
	},
	"textdomain": "homegrade-theme__bloks-texte-fonctionnel",
	"editorScript": "file:./index.js",
	"editorStyle": "file:./index.css",
	"style": "file:./style-index.css"
}